using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HCM.BusinessEntities;
using HCM.DataAccess;
namespace HCM.BajaWare.BusinessLogic
{
    public class CreditoHipotecarioLogic
    {
        private CreditoHipotecarioDataAccess CreditoHipotecariolDA;
        public CreditoHipotecarioLogic()
        {
            CreditoHipotecariolDA = new CreditoHipotecarioDataAccess();
        }

        public List<CreditoHipotecario> ListadoCreditoHipotecario(CreditoHipotecario creditoHipotecario)
        {
            List<CreditoHipotecario> results = null;
            try
            {

                results = CreditoHipotecariolDA.ListadoCreditoHipotecario(creditoHipotecario);

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }

        public ServiceResult ActualizaCreditoHipotecario(CreditoHipotecario creditoHipotecario)
        {
            ServiceResult results = new ServiceResult();
            try
            {

                results = CreditoHipotecariolDA.ActualizaCreditoHipotecario(creditoHipotecario);

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }
        //ObtieneEstadoMunicipio
        public clsDomicilio ObtieneEstadoMunicipio(string sCodigoPostal)
        {
            clsDomicilio results = new clsDomicilio();
            try
            {

                results = CreditoHipotecariolDA.ObtieneEstadoMunicipio(sCodigoPostal);

            }
            catch (Exception ex)
            {
                throw ex;
            }
            return results;
        }
    }
}
